Mariadb Version 10.5 if possible skip this one and do 10.6 and higher

Please take care of good working DB backups before doing things with Mariadb.
If you OS package does upgrades or you can choose them take a look here for a case where it is better to skip the 10.5 version i think. ( or stay longer with the 10.4 ? )

MariaDB Repo itself have shorter Support time’s then OS package REPOS.

Also better use only OS package REPO"S wen VMIN Webmin.